package main;

import java.util.List;

public class Transition {
	
	private boolean pullable;
	private List<Arc> arcList;
	
	public Transition() {}
	
	public Transition(boolean pullable,List<Arc> arcList) {
		this.arcList=arcList;
		this.pullable=pullable;
	}
	
	public boolean isPullable() {
		int i=0;
		boolean res=true;
		while(i<this.arcList.size() || res==false) {
			res=this.arcList.get(i).isPullable();
			i=i+1;
		}
		return res;
	}
	
	public void doTransition() {
		if (this.isPullable()==true) {
			for (int i=0; i<this.arcList.size();i++) {
				this.arcList.get(i).doTransition();
			}
		}
	}
	public List<Arc> getArcList(){
		return this.arcList;
	}

}
