package main;

import java.util.List;

public class Network {
	
	private List<Transition> listTransition;
	
	//Amaury : Crétion d'une liste des places aussi ?
	
	public Network() {}
	
	
	public Transition addTransition() {
		Transition transition = new Transition();
		listTransition.add(transition);
		return transition;
	}
	
	public Arc addArc(Transition transition, Place place, int value, int identifier) {
		//identifier identifies the kind of Arc created : 0-ArcZero, 1-ArcCleaner, 2-ArcOutering, 3-ArcEntering
		if (identifier==0) {
			ArcZero arc = new ArcZero(place, value);
			transition.getArcList().add(arc);
			return arc;
		}
		else if(identifier==1) {
			ArcCleaner arc = new ArcCleaner(place);
			transition.getArcList().add(arc);
			return arc;
		}
		else if(identifier==2) {
			ArcOutering arc = new ArcOutering(place,value);
			transition.getArcList().add(arc);
			return arc;
		}
		//Amaury : Mettre une exception pour identifier different de 0,1,2 ou 3 ?
		else {
			ArcEntering arc = new ArcEntering(place,value);
			transition.getArcList().add(arc);
			return arc;
		}
		
	}
	
	public Place addPlace(int value) {
		return new Place(value);
	}
	
	public void deleteArc(Arc arc) {}
	
	public void deletePlace(Place place) {}
	
	public void deleteTransition(Transition transition) {}
	
	public void fire(Transition transition) {
		if (transition.isPullable()==true) {
			transition.doTransition();
		}
	}

}
